=== modified file 'olive/__init__.py'
--- olive/__init__.py	2006-12-18 10:34:36 +0000
+++ olive/__init__.py	2006-12-20 02:06:04 +0000
@@ -348,7 +348,6 @@
         
         branch = self.wt.branch
         file_id = self.wt.path2id(self.wt.relpath(os.path.join(self.path, self.get_selected_right())))
-        revision_id = None
         
         window = GAnnotateWindow(all=False, plain=False)
         window.set_title(os.path.join(self.path, self.get_selected_right()) + " - Annotate")
@@ -356,7 +355,7 @@
         window.show()
         branch.lock_read()
         try:
-            window.annotate(branch, file_id, revision_id)
+            window.annotate(self.wt, branch, file_id)
         finally:
             branch.unlock()
     

=== modified file 'olive/info_helper.py'
--- olive/info_helper.py	2006-09-25 01:58:44 +0000
+++ olive/info_helper.py	2006-12-20 02:06:04 +0000
@@ -22,7 +22,7 @@
 
 import bzrlib.osutils as osutils
 
-from bzrlib.info import _repo_relpath
+from bzrlib.info import _repo_rel_url
 from bzrlib.missing import find_unmerged
 
 def get_location_info(repository, branch=None, working=None):
@@ -41,14 +41,14 @@
             if repository.is_shared():
                 # lightweight checkout of branch in shared repository
                 ret['sharedrepo'] = repository_path
-                ret['repobranch'] = _repo_relpath(repository_path, branch_path)
+                ret['repobranch'] = _repo_rel_url(repository_path, branch_path)
             else:
                 # lightweight checkout of standalone branch
                 ret['cobranch'] = branch_path
         elif repository.is_shared():
             # branch with tree inside shared repository
             ret['sharedrepo'] = repository_path
-            ret['repoco'] = _repo_relpath(repository_path, branch_path)
+            ret['repoco'] = _repo_rel_url(repository_path, branch_path)
         elif branch.get_bound_location():
             # normal checkout
             ret['coroot'] = working_path
@@ -61,7 +61,7 @@
         if repository.is_shared():
             # branch is part of shared repository
             ret['sharedrepo'] = repository_path
-            ret['repobranch'] = _repo_relpath(repository_path, branch_path)
+            ret['repobranch'] = _repo_rel_url(repository_path, branch_path)
         else:
             # standalone branch
             ret['branchroot'] = branch_path

